## org.eclipse.emf.codegen.ecore.genmodel.presentation
Class GenModelActionBarContributor.OpenEObjectEditorAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.ui.actions.BaseSelectionListenerAction
                      org.eclipse.emf.codegen.ecore.genmodel.presentation.GenModelActionBarContributor.OpenEObjectEditorAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

Enclosing class:
  GenModelActionBarContributor

    protected abstract static class GenModelActionBarContributor.OpenEObjectEditorAction

extends BaseSelectionListenerAction

Field Summary
`protected EObject` `eObject`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`GenModelActionBarContributor.OpenEObjectEditorAction(java.lang.String text)`

Method Summary
`void` `dispose()`
`protected abstract EObject` `getEObject(java.lang.Object element)`
`void` `run()`
`protected boolean` `updateSelection(IStructuredSelection selection)`

Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction
`clearCache, getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### eObject

    protected EObject eObject

Constructor Detail

### GenModelActionBarContributor.OpenEObjectEditorAction

    public GenModelActionBarContributor.OpenEObjectEditorAction(java.lang.String text)

Method Detail

### dispose

    public void dispose()

### run

    public void run()

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### updateSelection

    protected boolean updateSelection(IStructuredSelection selection)

  Overrides:
    `updateSelection` in class `BaseSelectionListenerAction`

### getEObject

    protected abstract EObject getEObject(java.lang.Object element)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.